<?php

//Clase: Orden de Servicio
class clase_entrada_varia
{
	var $nom_tabla = 'dgreqdev';
	var  $fol_ven = '0';
	var  $folio_control = '0';
	var  $acc_fec = '0';
	var  $acc_hor = '0';
	var  $usuario = '0';
        var  $trefe = '0';
 var  $fec_ven = '0';
	function modificarf($fol_ven){
		$sql = "UPDATE $this->nom_tabla SET  fec_ven = '$this->fec_ven', tip_ven = '$this->tip_ven', trefe = '$this->trefe',  acc_fec = '".date('Y-m-d')."', acc_hor =  '".date('H:i:s')."', usuario = '".$_SESSION['num_usu']."' where fol_ven = '$fol_ven'";
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		//echo $sql;
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de Modificar
	function modificar($fol_ven){
		$sql = "UPDATE $this->nom_tabla SET  folio_control = '$this->folio_control',  acc_fec = '".date('Y-m-d')."', acc_hor =  '".date('H:i:s')."', usuario = '".$_SESSION['num_usu']."' where fol_ven = '$fol_ven'";
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		//echo $sql;
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($cve_rec){   
		$sql = "DELETE FROM $this->nom_tabla WHERE cve_rec = '$cve_rec'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>
